
%global rpm_name google-api-client
%global pypi_name google-api-python-client
%global sum Google APIs Client Library for Python

# Share doc between python- and python3-
%global _docdir_fmt %{name}

%global py3_prefix python%{python3_pkgversion}

Name:           %{pypi_name}
Summary:        %{sum}
Version:        1.6.3
Release:        2%{?dist}

License:        ASL 2.0
URL:            http://github.com/google/%{name}/
Source0:        %{pypi_source}
BuildArch:      noarch

%description 
Written by Google, this library provides a small, flexible, and powerful 
Python client library for accessing Google APIs.

%package -n python2-%{rpm_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{rpm_name}}

BuildRequires:  python2-devel >= 2.7
BuildRequires:  python2-setuptools
BuildRequires:  python-httplib2 >= 0.9.1
BuildRequires:  python-oauth2client >= 2.0.0
BuildRequires:  python2-uritemplate >= 3.0.0

%if 0%{?fedora}
BuildRequires:  python2-six >= 1.6.1
%else
BuildRequires:  python-six >= 1.6.1
%endif

Requires:       python-httplib2 >= 0.9.1
Requires:       python2-oauth2client >= 2.0.0
Requires:       python2-uritemplate >= 3.0.0

%if 0%{?fedora}
Requires:       python2-six >= 1.6.1
%else
Requires:       python-six >= 1.6.1
%endif

%description -n python2-%{rpm_name}
Written by Google, this library provides a small, flexible, and powerful 
Python client library for accessing Google APIs.


%package -n %{py3_prefix}-%{rpm_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{rpm_name}}

BuildRequires:  %{py3_prefix}-devel >= 3.3
BuildRequires:  %{py3_prefix}-setuptools
BuildRequires:  %{py3_prefix}-httplib2 >= 0.9.1
BuildRequires:  %{py3_prefix}-oauth2client >= 2.0.0
BuildRequires:  %{py3_prefix}-uritemplate >= 3.0.0
BuildRequires:  %{py3_prefix}-six >= 1.6.1

Requires:       %{py3_prefix}-httplib2 >= 0.9.1
Requires:       %{py3_prefix}-oauth2client >= 2.0.0
Requires:       %{py3_prefix}-uritemplate >= 3.0.0
Requires:       %{py3_prefix}-six >= 1.6.1

%description -n %{py3_prefix}-%{rpm_name}
Written by Google, this library provides a small, flexible, and powerful 
Python 3 client library for accessing Google APIs.

%prep
%autosetup

# remove egg info
rm -rf google_api_python_client.egg-info

# remove shebang without touching timestamp
for lib in googleapiclient/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%files -n python2-%{rpm_name}
%license LICENSE
%doc CHANGELOG
%{python2_sitelib}/apiclient
%{python2_sitelib}/googleapiclient
%{python2_sitelib}/google_api_python_client-%{version}-py?.?.egg-info

%files -n %{py3_prefix}-%{rpm_name}
%license LICENSE 
%doc CHANGELOG
%{python3_sitelib}/apiclient
%{python3_sitelib}/googleapiclient
%{python3_sitelib}/google_api_python_client-%{version}-py?.?.egg-info

%changelog
* Wed Apr 29 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 1.6.3-2
- add Python 3 subpackage for EPEL 7

* Fri Sep 8 2017 Michele Baldessari <michele@acksyn.org> - 1.6.3-1
- New upstream

* Thu Sep 7 2017 Nick Bebout <nb@fedoraproject.org> - 1.6.2-4
- Remove patch now that 0.9.2 of httplib2 is in rhel 7

* Mon Aug 14 2017 Nick Bebout <nb@fedoraproject.org> - 1.6.2-3
- Patch to build with 0.9.1 of httplib2 to test

* Fri Aug 4 2017 Nick Bebout <nb@fedoraproject.org> - 1.6.2-2
- Fix conditionals for epel

* Tue Aug 1 2017 Nick Bebout <nb@fedoraproject.org> - 1.6.2-1
- Update to 1.6.2

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.5-2
- Rebuild for Python 3.6

* Thu Nov 10 2016 Michele Baldessari <michele@acksyn.org> - 1.5.5-1
New upstream

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May 22 2016 Michele Baldessari <michele@acksyn.org> - 1.5.1-1
- New upstream

* Thu Mar 10 2016 Michele Baldessari <michele@acksyn.org> - 1.5.0-1
- New upstream

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 31 2016 Michele Baldessari <michele@acksyn.org> - 1.4.2-4
- Make spec more epel friendly

* Mon Nov 02 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-3
- Cleanup spec according to newest python policy
- Drop python3 conditional, we'll build this for Fedora only for now anyways

* Wed Oct 21 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-2
- Address some comments from BZ 1272187

* Thu Oct 15 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-1
- Update to 1.4.2

* Tue Jun 23 2015 Michele Baldessari <michele@acksyn.org> - 1.4.1-1
- Update to 1.4.1

* Sun Jun 07 2015 Michele Baldessari <michele@acksyn.org> - 1.4.0-1
- Update to latest version
- Add python3 package
- Tag LICENSE with appropriate macro
- Generate {python,python3}-google-api-client packages to be more consistent
  within Fedora
- Add python-oauthclient dependency

* Sat Feb 14 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.1-1
- Update to latest version

* Sat Jul 27 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.1-1
- Initial rpm package

